%global momorel 6
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Network manager for kde
Name: kwlan
Version: 0.6.3
Release: %{momorel}m%{?dist}
License: GPL and BSD
URL: http://www.kde-apps.org/content/show.php?content=37041
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-0.6.1-desktop.patch
Patch1: %{name}-%{version}-make-doc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: wpa_supplicant
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: wireless-tools >= 29

%description
Network manager for kde.
 
 Allows you to configure different network profiles using all encryptions wpa_supplicant provides (wep, wpa, wpa2 etc) for wireless networks. 
 Since version 0.4.5 kwlan can connect to unencrypted networks if wpa_supplicant is not available. 
 
 Kwlan can also store profiles for wired networks.
 
 Dialup networks can be edited and connected to as well.
 
 Systray icons show connection statistics per interface (can be disabled).

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .make-doc

# for docs
make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applications/kwlan.desktop

# clean up
rm -rf %{buildroot}%{_docdir}/HTML/en/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kwlan
%{_datadir}/applications/kde/kwlan.desktop
%{_datadir}/apps/kwlan
%{_datadir}/doc/HTML/*/kwlan
%{_datadir}/icons/*/*/*/kwlan
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kwlan.mo

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.3-6m)
- revise %%{_docdir}/HTML/*/kwlan/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.3-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.3-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.3-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.3-2m)
- %%NoSource -> NoSource

* Mon Dec 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.3-1m)
- version 0.6.3
- add make-doc.patch
- BPR wireless-tools >= 29

* Sat Jun 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.2-1m)
- version 0.6.2

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-3m)
- update desktop.patch, GenericName=WPA Wireless Lan Manager

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-2m)
- change "Categories" of kwlan.desktop from "System" to "Network"

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-1m)
- initial package for Momonga Linux
